Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.directive
Class Parse

    java.lang.Object
      |
      +--org.apache.velocity.runtime.directive.Directive
            |
            +--org.apache.velocity.runtime.directive.Parse

All Implemented Interfaces:
  java.lang.Cloneable, DirectiveConstants

public class Parse
extends Directive

Pluggable directive that handles the #parse() statement in VTL. Notes: ----- 1) The parsed source material can only come from somewhere in the TemplateRoot tree for security reasons. There is no way around this. If you want to include content from elsewhere on your disk, use a link from somwhere under Template Root to that content. 2) There is a limited parse depth. It is set as a property "parse_directive.maxdepth = 10" for example. There is a 20 iteration safety in the event that the parameter isn't set.

Version:
  $Id: Parse.java,v 1.23 2001/10/22 03:53:24 jon Exp $
Author:
  Geir Magnusson Jr., Jason van Zyl, Christoph Reck

Field Summary
`private boolean` | `ready`

Fields inherited from class org.apache.velocity.runtime.directive.Directive
`column, line, rsvc`

Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants
`BLOCK, LINE`

Constructor Summary
`Parse()`

Method Summary
`java.lang.String` | `getName()` Return name of this directive.
`int` | `getType()` Return type of this directive.
`boolean` | `render(InternalContextAdapter context, java.io.Writer writer, Node node)` iterates through the argument list and renders every argument that is appropriate.

Methods inherited from class org.apache.velocity.runtime.directive.Directive
`getColumn, getLine, init, setLocation`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### ready

    private boolean ready

Constructor Detail

### Parse

    public Parse()

Method Detail

### getName

    public java.lang.String getName()

  Return name of this directive.
  Overrides:
    `getName` in class `Directive`

### getType

    public int getType()

  Return type of this directive.
  Overrides:
    `getType` in class `Directive`

### render

    public boolean render(InternalContextAdapter context,
                          java.io.Writer writer,
                          Node node)
                   throws java.io.IOException,
                          ResourceNotFoundException,
                          ParseErrorException,
                          MethodInvocationException

  iterates through the argument list and renders every argument that is appropriate. Any non appropriate arguments are logged, but render() continues.
  Overrides:
    `render` in class `Directive`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.